package com.cm.manager.sms.config.properties;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SmsTencentProperties
 * @Description: 短信腾讯属性
 * @Author: WangGeng
 * @Date: 2020/3/10 1:02 下午
 * @Version: 1.0
 **/
public class SmsTencentProperties {

    private String appId;
    private String appKey;
    private String smsSign;
    private String verificationCodeTemplateId;

    public String getAppId() {
        return appId == null ? "" : appId.trim();
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return appKey == null ? "" : appKey.trim();
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getSmsSign() {
        return smsSign == null ? "" : smsSign.trim();
    }

    public void setSmsSign(String smsSign) {
        this.smsSign = smsSign;
    }

    public String getVerificationCodeTemplateId() {
        return verificationCodeTemplateId == null ? "" : verificationCodeTemplateId.trim();
    }

    public void setVerificationCodeTemplateId(String verificationCodeTemplateId) {
        this.verificationCodeTemplateId = verificationCodeTemplateId;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"appId\":")
                .append("\"").append(appId).append("\"");
        sb.append(",\"appKey\":")
                .append("\"").append(appKey).append("\"");
        sb.append(",\"smsSign\":")
                .append("\"").append(smsSign).append("\"");
        sb.append(",\"verificationCodeTemplateId\":")
                .append("\"").append(verificationCodeTemplateId).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
